---
services:
    datas_umami:
        image: ghcr.io/umami-software/umami:latest
        ports:
            - "27503:3000"
        environment:
            DATABASE_URL: postgresql://umami:umami@datas_db:5432/umami
            DATABASE_TYPE: postgresql
            APP_SECRET: replace-me-with-a-random-string
            TRACKER_SCRIPT_NAME: 'vs.js'
            COLLECT_API_ENDPOINT: '/vs'
        depends_on:
            datas_db:
                condition: service_healthy
        init: true
        restart: always
        healthcheck:
            test: ["CMD-SHELL", "curl http://localhost:3000/api/heartbeat"]
            interval: 5s
            timeout: 5s
            retries: 5
    datas_db:
        image: postgres:15-alpine
        environment:
            POSTGRES_DB: umami
            POSTGRES_USER: umami
            POSTGRES_PASSWORD: umami
        volumes:
            - umami-db-data:/var/lib/postgresql/data
        restart: always
        healthcheck:
            test: ["CMD-SHELL", "pg_isready -U $${POSTGRES_USER} -d $${POSTGRES_DB}"]
            interval: 5s
            timeout: 5s
            retries: 5
volumes:
    umami-db-data:
